Page MenuHomeFreeBSD

inet.4 tcp.4 udp.4: Replace *CTL_* OID macro names with sysctls
ClosedPublic

Authored by karels on Jul 13 2022, 7:05 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jan 2, 4:16 PM
Unknown Object (File)
Dec 15 2022, 7:36 AM
Unknown Object (File)
Dec 14 2022, 10:38 PM
Unknown Object (File)
Dec 2 2022, 8:04 AM
Subscribers

Details

Summary

Older sysctls with constant OID macros were identified with those
in inet.4, tcp.4, and udp.4; newer sysctls with automatic numbering
were identified by sysctl names. No one remembers the OID macros,
or knows what they are; sysctls are always done by name now, usually
via sysctl(8).

Replace the OID macro names with sysctl names so that there is one
uniform identifier type; sysctl names were previously in parens.
Make the formatting a little more consistent in this area. In inet.4
and udp.4, move the "ip." or "udp." prefix from each entry into the
top-level name at the start of the section, as they are all the same.

Test Plan

tested with mandoc

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

rpokala added inline comments.
share/man/man4/inet.4
173

I think this paragraph reads more clearly like this:

In addition to the variables supported by the transport protocols in
.Va net.inet
(for which the respective manual pages may be consulted),
there are a number of general variables implemented in the
.Va net.inet.ip
branch of the
.Xr sysctl 3
MIB.
The following general variables are defined:

Replace intro to sysctl section in inet.4 with suggested text.

karels added inline comments.
share/man/man4/inet.4
173

Thanks, that is a definite improvement.

LGTM.

share/man/man4/inet.4
173

Thanks!

This revision is now accepted and ready to land.Jul 13 2022, 8:55 PM